
package de.ivu.elect.presentation.veranstaltung.form;

import java.util.List;

import javax.annotation.Nullable;

import de.ivu.elect.business.veranstaltung.entity.Veranstaltung;
import de.ivu.elect.business.veranstaltung.entity.VeranstaltungConstants;
import de.ivu.elect.presentation.AbstractEntitySelectOneMenuProperty;

public class VeranstaltungSelectOneMenuProperty extends AbstractEntitySelectOneMenuProperty<Veranstaltung> {

  private final Veranstaltung veranstaltung;

  public VeranstaltungSelectOneMenuProperty(List<Veranstaltung> values, boolean hasNoSelectionItem, Veranstaltung veranstaltung) {
    super(values, hasNoSelectionItem);

    this.veranstaltung = veranstaltung;
  }

  @Override
  protected String getMessageKeyEntityEinzahl() {
    return VeranstaltungConstants.MESSAGE_KEY_VERKNUEPFTE_VERANSTALTUNG_ID_EINZAHL;
  }

  @Nullable
  @Override
  public Veranstaltung getValue() {
    return veranstaltung.getVerknuepfteVeranstaltung();
  }

  @Override
  public void setValue(Veranstaltung value) {
    veranstaltung.setVerknuepfteVeranstaltung(value);
  }

  @Override
  public String getItemLabel(Veranstaltung item) {
    if (item == null) {
      return "";
    }

    return item.getBezeichnung();
  }
}
